Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.5 (#144)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.swixml.converters
Class ConstraintsConverter

    java.lang.Object
      org.swixml.converters.ConstraintsConverter

public class ConstraintsConverter
extends Object

The `ConstraintsConverter` class defines a converter that returns Layout constants based on layout type and input string.

### Examples for Valid XML attribute notations:

     constraints="BorderLayout.NORTH"

Version:
  $Revision: 1.1 $*
Author:
  Wolf Paulus
See Also:
  `LayoutManager`

Field Summary
`static Class` | `TEMPLATE` converter's return type

Constructor Summary
`ConstraintsConverter()`

Method Summary
`static Object` | `convert(Class type, Attribute attr)` Converts Strings into Layout constants.
`Class` | `convertsTo()` A `Converters` conversTo method informs about the Class type the converter is returning when its `convert` method is called

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE

    public static final Class TEMPLATE

  converter's return type

Constructor Detail

### ConstraintsConverter

    public ConstraintsConverter()

Method Detail

### convert

    public static Object convert(Class type,
                                 Attribute attr)

  Converts Strings into Layout constants.

  Parameters:
    `type` - `Class` Layout type
    `attr` - `Attribute` value needs to provide String which is used for the conversion
  Returns:
    `Object` Layout constant

### convertsTo

    public Class convertsTo()

  A `Converters` conversTo method informs about the Class type the converter is returning when its `convert` method is called

  Returns:
    `Class` - the Class the converter is returning when its convert method is called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.5 (#144)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 - 2005 - Wolf Paulus - CarlsbadCubes.com . All rights reserved.